%define version	0.11
%define release	8mdk
%define name 	perl-Mon
%define realname	Mon

Summary:	Perl-Mon module
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	GPL
Group: 		Development/Perl
Source: 	ftp://ftp.kernel.org/pub/software/admin/mon/%{realname}-%{version}.tar.bz2
URL: 		http://www.kernel.org/software/mon/
BuildRequires:	perl-devel
BuildArch:	noarch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root/
Requires: 	perl
   
%description
This is the Perl5 module for interfacing with the Mon system monitoring
package. Currently only the client interface is implemented, but more
things like special logging routines and persistent monitors are being
considered.

%prep
%setup -q -n %{realname}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%files
%defattr(-,root,root)
%{perl_vendorlib}/Mon
%{_mandir}/*/*
%doc CHANGES  COPYRIGHT COPYING README VERSION

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Feb 25 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.11-8mdk
- own dir
- rebuild

* Wed Aug 13 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.11-7mdk
- rebuild for new perl
- don't rm -rf $RPM_BUILD_ROOT in %%prep and %%build
- drop Prefix tag
- don't use PREFIX
- use %%makeinstall_std macro

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.11-6mdk
- rebuild for new auto{prov,req}

* Tue Jul  9 2002 Pixel <pixel@mandrakesoft.com> 0.11-5mdk
- rebuild for perl 5.8.0

* Tue Mar 26 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.11-4mdk
- should be noarch

* Wed Dec  5 2001 Stefan van der Eijk <stefan@eijk.nu> 0.11-3mdk
- fix %%files

* Mon Oct 15 2001 Stefan van der Eijk <stefan@eijk.nu> 0.11-2mdk
- BuildRequires: perl-devel

* Mon Aug 27 2001 Philippe Libat <philippe@mandrakesoft.com> 0.11-1mdk
- new version

* Sun Jun 17 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.10-3mdk
- Rebuild for the latest perl.

* Thu Aug 31 2000 Philippe Libat <philippe@mandrakesoft.com> 0.10-2mdk
- doc
- macroszifications.

* Thu Aug 31 2000 Philippe Libat <philippe@mandrakesoft.com> 0.10-1mdk
- upgraded to 0.10

* Wed Jun 28 2000 Planel Nicolas <nicolas@mandrakesoft.com>
- Spec file was generated.

